| Home · All Classes · All Namespaces · Modules · Functions · Files

Signals | Public Member Functions
Tp::CallContent Class Reference
Channel proxies

The CallContent class provides an object representing a Telepathy Call.Content. More...

`#include <TelepathyQt/CallContent>`

Inherits Tp::StatefulDBusProxy, and Tp::OptionalInterfaceFactory< CallContent >.

List of all members.

## Signals

- void streamAdded (const Tp::CallStreamPtr &stream)
- void streamRemoved (const Tp::CallStreamPtr &stream, const Tp::CallStateReason &reason)

## Public Member Functions

- ~CallContent ()
- CallChannelPtr channel () const
- QString name () const
- MediaStreamType type () const
- CallContentDisposition disposition () const
- CallStreams streams () const
- PendingOperation * remove ()
- bool supportsDTMF () const
- PendingOperation * startDTMFTone (DTMFEvent event)
- PendingOperation * stopDTMFTone ()

## Detailed Description

The CallContent class provides an object representing a Telepathy Call.Content.

Instances of this class cannot be constructed directly; the only way to get one is via CallChannel.

See Asynchronous Object Model

## Constructor & Destructor Documentation

Tp::CallContent::~CallContent | ( |  | ) |

Class destructor.

## Member Function Documentation

CallChannelPtr Tp::CallContent::channel | ( |  | ) | const

Return the channel owning this media content.

Returns:
  The channel owning this media content.

QString Tp::CallContent::name | ( |  | ) | const

Return the name of this media content.

Returns:
  The name of this media content.

MediaStreamType Tp::CallContent::type | ( |  | ) | const

Return the type of this media content.

Returns:
  The type of this media content.

CallContentDisposition Tp::CallContent::disposition | ( |  | ) | const

Return the disposition of this media content.

Returns:
  The disposition of this media content.

CallStreams Tp::CallContent::streams | ( |  | ) | const

Return the media streams of this media content.

Returns:
  A list of media streams of this media content.

See also:
  streamAdded(), streamRemoved()

PendingOperation * Tp::CallContent::remove | ( |  | ) |

Removes this media content from the call.

Returns:
  A PendingOperation which will emit PendingOperation::finished when the call has finished.

bool Tp::CallContent::supportsDTMF | ( |  | ) | const

Return whether sending DTMF events is supported on this content. DTMF is only supported on audio contents that implement the TP_QT_IFACE_CALL_CONTENT_INTERFACE_DTMF interface.

Returns:
  `true` if DTMF is supported, or `false` otherwise.

PendingOperation * Tp::CallContent::startDTMFTone | ( | DTMFEvent | event | ) |

Start sending a DTMF tone on this media stream.

Where possible, the tone will continue until stopDTMFTone() is called. On certain protocols, it may only be possible to send events with a predetermined length. In this case, the implementation may emit a fixed-length tone, and the stopDTMFTone() method call should return TP_QT_ERROR_NOT_AVAILABLE.

If this content does not support the TP_QT_IFACE_CALL_CONTENT_INTERFACE_DTMF interface, the resulting PendingOperation will fail with error code TP_QT_ERROR_NOT_IMPLEMENTED.

Parameters:

  event | A numeric event code from the DTMFEvent enum.

Returns:
  A PendingOperation which will emit PendingOperation::finished when the request finishes.

See also:
  stopDTMFTone(), supportsDTMF()

PendingOperation * Tp::CallContent::stopDTMFTone | ( |  | ) |

Stop sending any DTMF tone which has been started using the startDTMFTone() method.

If there is no current tone, the resulting PendingOperation will finish successfully.

If this content does not support the TP_QT_IFACE_CALL_CONTENT_INTERFACE_DTMF interface, the resulting PendingOperation will fail with error code TP_QT_ERROR_NOT_IMPLEMENTED.

Returns:
  A PendingOperation which will emit PendingOperation::finished when the request finishes.

See also:
  startDTMFTone(), supportsDTMF()

void Tp::CallContent::streamAdded | ( | const Tp::CallStreamPtr & | stream | ) | `[signal]`

This signal is emitted when a new media stream is added to this media content.

Parameters:

  stream | The media stream that was added.

See also:
  streams()

void Tp::CallContent::streamRemoved | ( | const Tp::CallStreamPtr & | stream,
|  | const Tp::CallStateReason & | reason
| ) |  | `[signal]`

This signal is emitted when a new media stream is removed from this media content.

Parameters:

  stream | The media stream that was removed.
  reason | The reason for this removal.

See also:
  streams()